curl --request GET \
--url https://idaas.yourflexpay.com/api/v1/transactions/sent \
--header 'Authorization: Bearer <token>'{
"success": true,
"message": "<string>",
"errorCode": "<string>",
"data": {
"totalElements": 123,
"totalPages": 123,
"first": true,
"last": true,
"size": 123,
"content": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"reference": "TXN-16820000-AB1C2D3E",
"senderTag": "@alice",
"senderAppName": "WalletApp",
"senderAppId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"receiverTag": "@bob",
"receiverAppName": "PaymentsApp",
"receiverAppId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 1500,
"currency": "NGN",
"status": "AWAITING_ACCEPTANCE",
"narration": "School fees payment",
"expiresAt": "2023-11-07T05:31:56Z",
"acceptedAt": "2023-11-07T05:31:56Z",
"rejectedAt": "2023-11-07T05:31:56Z",
"rejectionReason": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"webhooks": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"transactionReference": "TXN-16820000-AB1C2D3E",
"applicationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"applicationName": "<string>",
"direction": "RECEIVER",
"targetUrl": "https://app-b.example.com/webhooks/transactions",
"eventType": "TRANSACTION_INITIATED",
"status": "PENDING",
"attempts": 123,
"lastError": "<string>",
"lastAttemptAt": "2023-11-07T05:31:56Z",
"deliveredAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}
],
"number": 123,
"sort": [
{
"direction": "<string>",
"nullHandling": "<string>",
"ascending": true,
"property": "<string>",
"ignoreCase": true
}
],
"numberOfElements": 123,
"pageable": {
"offset": 123,
"sort": [
{
"direction": "<string>",
"nullHandling": "<string>",
"ascending": true,
"property": "<string>",
"ignoreCase": true
}
],
"paged": true,
"unpaged": true,
"pageNumber": 123,
"pageSize": 123
},
"empty": true
},
"errors": [
"<string>"
],
"timestamp": "2023-11-07T05:31:56Z"
}Returns all transactions where the sender tag belongs to the calling application. Sorted by createdAt descending.
curl --request GET \
--url https://idaas.yourflexpay.com/api/v1/transactions/sent \
--header 'Authorization: Bearer <token>'{
"success": true,
"message": "<string>",
"errorCode": "<string>",
"data": {
"totalElements": 123,
"totalPages": 123,
"first": true,
"last": true,
"size": 123,
"content": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"reference": "TXN-16820000-AB1C2D3E",
"senderTag": "@alice",
"senderAppName": "WalletApp",
"senderAppId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"receiverTag": "@bob",
"receiverAppName": "PaymentsApp",
"receiverAppId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 1500,
"currency": "NGN",
"status": "AWAITING_ACCEPTANCE",
"narration": "School fees payment",
"expiresAt": "2023-11-07T05:31:56Z",
"acceptedAt": "2023-11-07T05:31:56Z",
"rejectedAt": "2023-11-07T05:31:56Z",
"rejectionReason": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"webhooks": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"transactionReference": "TXN-16820000-AB1C2D3E",
"applicationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"applicationName": "<string>",
"direction": "RECEIVER",
"targetUrl": "https://app-b.example.com/webhooks/transactions",
"eventType": "TRANSACTION_INITIATED",
"status": "PENDING",
"attempts": 123,
"lastError": "<string>",
"lastAttemptAt": "2023-11-07T05:31:56Z",
"deliveredAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}
],
"number": 123,
"sort": [
{
"direction": "<string>",
"nullHandling": "<string>",
"ascending": true,
"property": "<string>",
"ignoreCase": true
}
],
"numberOfElements": 123,
"pageable": {
"offset": 123,
"sort": [
{
"direction": "<string>",
"nullHandling": "<string>",
"ascending": true,
"property": "<string>",
"ignoreCase": true
}
],
"paged": true,
"unpaged": true,
"pageNumber": 123,
"pageSize": 123
},
"empty": true
},
"errors": [
"<string>"
],
"timestamp": "2023-11-07T05:31:56Z"
}Obtain a token from POST /v1/auth/token using your client_id and client_secret, then enter Bearer <token> here.
Show child attributes